﻿# __init__.py: the python broadway package.
#
# This file is part of python wrapper for the BROADWAY2 package.
#
# MIT License

# Copyright (c) 2013-2018 FibreCode GmbH <info@fibrecode.com>

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

from .broadway_api import *
from .broadway_base import Broadway, RawRxHeaderTypes, HWTimestamp, Timestamp64, factor_to_int32, int32_to_factor

from .fca import FCAdapter

from .phy_access import PhyAccess
from .sjax_access import SJAXAccess

# Helper functions to simplify switch/phy detection and access
from .fc_helper import get_phy_access, get_switch_access, get_spi_access


from .reg_tracker import RegTracker, RegisterSet, RegisterSetDiff
from .reg_decoder import RegDecoder

from .raw_receiver import RawReceiver, RawReceiverThread
from .multi_raw_sender import MultiRawSender
from .multi_raw_receiver import MultiRawReceiverThread

from .raw_frame import RawRxFrame, RawTxFrame
from .eth_frame import EthFrame, VLANType

# USB-Tool-Adapter FC401 and internal phy access for USB FC6xx
from .spi_access import SpiAccess
from .smi_access import SmiAccess


