# FibreCode

# History
# ----------------------------------------------------------------------------------
# 2022-02-15    V2.4.10 updated samples, small improvements
# 2022-02-15    V2.4.9 fix wrong offsets in Python FrameStats class
# 2022-01-11    V2.4.8 extended API for FW V2.30: Short/Long Range 10BASE-T1L, SMI/SPI Passive mode
# 2022-01-11    V2.4.7 small fixes in puplic tools
# 2021-11-03    V2.4.6 extended support for 802.1CB in EthFrame
# 2021-10-14    V2.4.5 added support for Frame-Statistics (incl. CRC-Error Counter)
# 2021-09-09    V2.4.4 added Clause-45 inc-read support (phy_readmult45)
# 2021-07-31    V2.4.3 added TJA1103EVB samplöe for basic access on C22/C45
# 2021-03-05    V2.4.2 added support to force trigger out via API
# 2021-02-14    V2.4.1 EthRawFrame->RawRxFrame incl. FrameType, added RawTxFrame
# 2020-12-21    V2.4.0 added support for trigger in/out and frame tx delay
# 2020-04-06    V2.3.0 added check_submit_raw_frame() for efficient sender
# 2020-02-20    optimized FC401/SMI-SPI Handling
# 2020-02-05    added MultiRxReceiver.reset_queue()
# 2019-12-08    re-org of Phys to easier support FC401
#               added PhyAccess and create_phy() outside of Adapter
#               new class FCAdapter to replace FC6xx

from distutils.core import setup

setup(name='broadway2',
      version='2.4.10',
      author='FibreCode GmbH',
      description='python wrapper class and interface to broadway2-API',
      author_email='info@fibrecode.com',
      url='http://www.python.fibrecode.com',
	  keywords='FibreCode USB NXP TJA110x 100Base-T1, TSN, AVB, Raw, Ethernet, Layer 2',
	  license='LICENSE.txt',
	  long_description=open('README.txt').read(),
      packages=['broadway2']
)
